<?php
// prevent caching
header('Expires: Tue, 08 Oct 1991 00:00:00 GMT');
header('Cache-Control: no-cache, must-revalidate');

//header("Content-type: image/png");
header('Content-type: image/jpeg');

/* Settings */
$graph_width=80; //Width of entire graph
$graph_height=30; //Height of entire graph
$use_logo=1; //Add logo to the bottom of your graph? 1-Yes 0-No
if(time()%2==0){$full_img_url="./images/1.gif";}else{$full_img_url="./images/2.gif";} //You may change this to your own logo

   /* Create initial image */
   $graph=ImageCreate($graph_width, $graph_height);
   if($use_logo==1) {
   /* Import logo */
   $logo=ImageCreateFromGIF("$full_img_url");

   /* Get size of imported logo */
   $logo_size=GetImageSize($full_img_url);
   $logo_width=$logo_size[0];
   $logo_height=$logo_size[1];

   /* Copy the logo into the graph */
   $logo_dst_x=$graph_width-$logo_width; //How far from left to position
   $logo_dst_y=$graph_height-$logo_height; //How far from top to position
   ImageCopy($graph, $logo, $logo_dst_x, $logo_dst_y, 0, 0, $logo_width, $logo_height);

   }

   /* Make our color palette */
   $white = ImageColorAllocate($graph,240, 77, 40);
   $darkblue = ImageColorAllocate($graph, 79, 107, 143);
   $lightblue = ImageColorAllocate($graph, 90, 90, 90);
   $lightgrey = ImageColorAllocate($graph, 155, 155, 155);
   $mediumgrey = ImageColorAllocate($graph, 210, 210, 210);
   $darkgrey = ImageColorAllocate($graph, 170, 170, 170);
   $black = ImageColorAllocate($graph, 0, 0, 0);
   $color2[] = ImageColorAllocate($graph, 0, 0, 0); //Color of text that appears above bars
   $color2[] = ImageColorAllocate($graph, 255, 255, 255); //Color of text that appears below bars

   /* Fill the border of the whole graph with blue */
   ImageRectangle($graph, 0, 0, $graph_width-1, $graph_height-1, $darkblue);

   /* Print the copyright */
   /* Note: Please leave our copyright as-is. */
	if($_GET['len']==3){
	   $copyright=substr(abs(crc32("me".$_GET['code'])),0,3);
	}else{
	   $copyright=substr(abs(crc32("me".$_GET['code'])),0,5);	
	   $sizer=6;
	}
	imagettftext ( $graph, 24-$sizer, -3, $graph_width/2-strlen($copyright)*8,$graph_height/1.2, $lightgrey, './font.ttf', $copyright);
	imagettftext ( $graph, 24-$sizer, -2, $graph_width/2-strlen($copyright)*8,$graph_height/1.3, $lightblue, './font.ttf', $copyright);
//	imagettftext ( $graph, 23-$sizer, 6, $graph_width/2-strlen($copyright)*7.8,$graph_height/1.2, $darkblue, './font.ttf', $copyright);
//	imagettftext ( $graph, 21-$sizer, 2, $graph_width/2-strlen($copyright)*7.9,$graph_height/1.1, $white, './font.ttf', $copyright);

  // ImageString($graph, 5, $graph_width/2-strlen($copyright)*4, $box_top_end+$graph_padding+$box_height+$graph_height/3.5, $copyright, $lightblue);
//   ImageString($graph, 2, $graph_width/2-strlen($copyright)*4, $box_top_end+$graph_padding+$box_height+$graph_height/3.5, $copyright, $black);
   /* Output the image */
   //ImagePNG($graph);
   imagejpeg($graph); 
   /* Cleanup */
   ImageDestroy($graph);



?>