<?php
    # Required File Includes
    include("../../../dbconnect.php");
    include("../../../includes/functions.php");
    include("../../../includes/gatewayfunctions.php");
    include("../../../includes/invoicefunctions.php");

    $gatewaymodule = "shetab"; # Enter your gateway module name here replacing template

    $GATEWAY = getGatewayVariables($gatewaymodule);
    if (!$GATEWAY["type"]) die("Module Not Activated"); # Checks gateway module is active before accepting callback

		if($_POST['status']!='1'){
			logTransaction($GATEWAY["name"],$_POST,"Unsuccessful"); # Save to Gateway Log: name, data array, status
			Header('Location: '.$CONFIG['SystemURL'].'/clientarea.php?action=invoices');
			exit;
		}		
	$result	= $_POST['status'];
	if ($result == 1)
	{
		$paymentID = $_POST['refnum'];
		$invoiceNumber = $_POST['resnum'];

		$merchantID = trim($GATEWAY['merchantID']);
		
		$invoiceid = checkCbInvoiceID($invoiceNumber,$GATEWAY["name"]); # Checks invoice ID is a valid invoice number or ends processing
		checkCbTransID($paymentID); # Checks transaction number isn't already in the database and ends processing if it does

		$amount = $_GET['amount'];
		$amount1 = intval($amount);
		
		////////
		$url = 'http://www.shetab.biz/webservice/verify.php';
			$fields = array(
            'resnum'=>urlencode($invoiceNumber),
            'refnum'=>urlencode($paymentID),
			'amount'=>urlencode($amount1),
        	);

			//url-ify the data for the POST
			$fields_string = "";
			foreach($fields as $key=>$value) { $fields_string .= $key.'='.$value.'&'; }
			rtrim($fields_string,'&');

			//open connection
			$ch = curl_init($url);

			//set the url, number of POST vars, POST data
			curl_setopt($ch,CURLOPT_URL,$url);
			curl_setopt($ch,CURLOPT_POST,count($fields));
			curl_setopt($ch,CURLOPT_POSTFIELDS,$fields_string);
        		curl_setopt($ch,CURLOPT_RETURNTRANSFER,true);
			//execute post
			$result = curl_exec($ch);
			curl_close($ch);
			if( $result <= 0 ) {
			$pay = false;
			} else {
			$pay = true;
			}
			/////////
		
		if($GATEWAY['Currencies']=='Toman')
			$amount = $amount/10;
	
		if($pay)
		{
	        	addInvoicePayment($invoiceid,$paymentID,$amount,$amount,$gatewaymodule); # Apply Payment to Invoice: invoiceid, transactionid, amount paid, fees, modulename
			logTransaction($GATEWAY["name"],$_POST,"Successful"); # Save to Gateway Log: name, data array, status\
		}
		else
		{
	        logTransaction($GATEWAY["name"],$_POST,"Unsuccessful"); # Save to Gateway Log: name, data array, status
		}
	}
	else
	{
        logTransaction($GATEWAY["name"],$_POST,"Unsuccessful"); # Save to Gateway Log: name, data array, status
	}

	header('Location: '.$CONFIG['SystemURL'].'/clientarea.php?action=invoices');
?>